LINUX.ORG.RU

Opensuse Tumbleweed, юзабельно?

 ,


0

1

Интересует мнение, можно ли использовать Tumbleweed не особенно, при этом, наступая на грабли? Например, две последние федоры считаю неюзабельными из-за периодических поломок системы при обновлениях, причем использовал её исключительно на тестовом стенде гонять btrfs и свежий kvm, то есть даже не десктоп.

Зависит от человека, я вот использую и доволен. А кто-то на арче сидит и ему хорошо.

supreme ()
Ответ на: комментарий от supreme

Зависит от человека, я вот использую и доволен.

Если я буду делать zypper up, оно сломается?

King_Carlo ★★★★★ ()

Его и так по тегу кастанёт, но на всякий случай cast sluggard. Самому интересна данная тема. Интересно, насколько версии пакетов отличаются от того же арча и debian testing, например. Вот у меня, в частности, в пятых кедах на stretch абсолютно наглухо сломано приложение «Параметры системы». Причём это воспроизводится и в апстриме. Интересно, что на этот счёт у суси?

Deleted ()
Ответ на: комментарий от sluggard

Ой, прости, ты пришёл до того, как я дострочил то сообщение :)

Deleted ()
Ответ на: комментарий от sluggard

KDE такой же правильный и безглючный, как обычно в сусе?

King_Carlo ★★★★★ ()
Ответ на: комментарий от King_Carlo

У меня ломалось однажды - при обновлении с KDE 4.3 на KDE 4.4 пакет переименовали (стал kwayland, до этого не помню что было), а т.к. я не ставлю по-умолчанию рекомендованные пакеты, то в результате замена не произошла и KWin не хотел работать при следующем логине. Решилось чтением лога и установкой нужного пакета из консоли.

Ещё рекомендую некоторые вещи вроде иксов обновлять с tty1-6.

supreme ()
Ответ на: комментарий от King_Carlo

Если я буду делать zypper up, оно сломается?

Чтобы совсем не загрузилось - крайне маловероятно. А вот что-то по мелочи может отвалиться.

dinn ★★★★★ ()
Ответ на: комментарий от King_Carlo

Нет, ибо KDE5, о чём тебе сказали уже. Но там общие проблемы для пятокед — нехватка некоторых плазмоидов и некоторого фукционала. Зато локскрин работает нормально, а то некоторые товарищи с другими дистрами жалуются, что разблокировать потом не могут. ))

sluggard ★★★★★ ()
Ответ на: комментарий от Deleted

У меня оно работает.

Сведения — пакет systemsettings5:
------------------------------------------------
Репозиторий: openSUSE-Tumbleweed-Oss
Имя: systemsettings5
Версия: 5.4.0-1.1
Архитектура: x86_64

supreme ()
Ответ на: комментарий от Deleted

Параметры системы крашились одно время на каком-то модуле, но недолго, потом починили. Сейчас всё работает, вроде. Я туда не часто заглядываю.

sluggard ★★★★★ ()

О, вспомнил один косячок в Параметрах системы. Модуль настройки SDDM порой тупит, при выборе другой темы.

sluggard ★★★★★ ()
Ответ на: комментарий от dinn

Чтобы совсем не загрузилось - крайне маловероятно. А вот что-то по мелочи может отвалиться.

Если так, то не страшно. Для роллинг-дистра это неизбежно.

King_Carlo ★★★★★ ()
Ответ на: комментарий от supreme

Re: systemsettings5

2supreme и sluggard:

Ну, вот в чём заключался баг у меня:

  • Открываешь System Settings
  • Заходишь в «Экран»
  • Нажимаешь на кнопку «Назад»

В результате окошко падает с SIGSEGV

Deleted ()
Ответ на: Re: systemsettings5 от Deleted

Не воспроизводится, мб патч мейнтейнер наложил.

supreme ()
Ответ на: комментарий от sluggard

Модуль настройки SDDM порой тупит, при выборе другой темы.

Альтернатива KDE, без глюков, есть в рамках сабжа?

King_Carlo ★★★★★ ()
Ответ на: комментарий от King_Carlo

Кастуй Ревана, у него MATE в Тумбочке, расскажет, как оно. )

sluggard ★★★★★ ()
Ответ на: комментарий от supreme

Занятно! Спасибо, гляну к вам в репу.

У меня тогда следующий вопрос: насколько сложно поставить блоб на NVIDIA? У меня, в частности, стационарник. На дебиане установил nvidia-detect, который сказал, что нужно банально поставить nvidia-driver. Всё работает на 340.93. Как с этим в сусе? Нужно ли выкачивать с официального сайта нвидии .run-файл или можно накатить rpm из репозитория?

Deleted ()
Ответ на: комментарий от King_Carlo

Если так, то не страшно. Для роллинг-дистра это неизбежно.

Собственно загрузка и работа основных программ проверяется автоматическим тестированием на базе openqa. Это конечно не реальное оборудование, но насколько знаю ни у кого другого даже такого нет. Через проверку проходят все обновления.

dinn ★★★★★ ()
Ответ на: комментарий от Deleted

RPM из репозитория, репозиторий добавляется прямо в ясте :)

supreme ()
Ответ на: комментарий от supreme

Спасибо! Просто на официальном сайте написано малость по-другому.

Из-за частых обновлений ядра Linux пользователи, не знакомые с процедурой самостоятельного обновления проприетарных драйверов для видеокарт, не должны использовать репозиторий Tumbleweed. Смотрите раздел «Сложный способ» статей SDB:NVIDIA и ATI, чтобы узнать об обновлении драйвера вручную, если Вам это интересно. Дополнительные репозитории Packman доступны для Tumbleweed!
Deleted ()
Ответ на: комментарий от sluggard

Ну, в арче это есть, реализовано через dkms, кажется. В дебиане, думаю, дёргается пост-установочный скрипт.

Deleted ()
Ответ на: комментарий от Deleted

Ммм, извини, я что-то затупил (перепутал с 13.2, т.к. сейчас на нуво). Но по крайней мере на 13.1 у меня драйвер для версии ядра, к примеру, 3.6 работал с 3.10.

supreme ()
Последнее исправление: supreme (всего исправлений: 1)
Ответ на: комментарий от Deleted

Не знаю, у меня радеон на последних трёх ноутах. Я не геймер и юзаю свободные дрова, всем доволен. Судя по темпам развития они скоро перегонят Каталист вообще. )

sluggard ★★★★★ ()
Ответ на: комментарий от sluggard

Блоб в роллинг-дистре

Планирую использовать с встроенным в intel i7 видео, полагаю проблем не будет. Использовать блоб, если тебе через день новое ядро прилетает проблематично :)

King_Carlo ★★★★★ ()
Ответ на: комментарий от sluggard

Слушай, а у меня ещё такой вопрос. Я гуглю, конечно, весьма поверхностно, но вот не нашёл: а где можно на сайте найти версию пакета по запросу и, при возможности, спеки с патчами на определённый пакет?

Deleted ()
Ответ на: комментарий от King_Carlo

Пока в основных репах только 4.1.6, но, желающие могут и 4.3-rc2 поставить.

supreme ()
Ответ на: комментарий от King_Carlo

Ну насчёт через день — эт ты загнул. Не так часто, особенно если реп Kernel не подключен. )

sluggard ★★★★★ ()
Ответ на: комментарий от sluggard

Ну насчёт через день — эт ты загнул.

Ну отлично, значит не пихают rc-ядра, это очень хорошо.

King_Carlo ★★★★★ ()
Ответ на: комментарий от King_Carlo

Ну вот в основном репе (и у меня поэтому) сейчас 4.1.6, в репе Kernel:stable — 4.2, а RC (4.3rc2 сейчас) вообще отдельно в Kernel:HEAD лежит.

sluggard ★★★★★ ()

Рекомендую дождаться релиза Leap 42. Зачем тебе перекатиполе, что не устраивает в текущей системе?

X10Dead ★★★★★ ()
Ответ на: комментарий от X10Dead

Нужен bleeding edge типа федоры, для тестирования свежих технологий.

King_Carlo ★★★★★ ()

я использую, у себя на десктопе и на десктопоNAS, переезжать не хочу. недостатки есть, но мириться с ними можно.

от прошлой федоры впечатления аналогичные.

littlechris ★★★ ()
Ответ на: комментарий от sluggard

Я сижу, терпимо. Главное, сразу branding сносить.

радеон на последних трёх ноутах

Открытый радеон умеет делать такую незатейливую вещь как «прозрачность»? Ни Kwin, ни compton не пожелали работать ни с чем, кроме XRandr. Особо не мешает, но интересно, как у других.

tired_eyes ()
Ответ на: комментарий от tired_eyes

По идее должен. Дело в том, что у меня Radeon HD7670 — дискретка, а интеграшка — Intel HD4000, то есть вся графика кед гонится через неё. Она умеет: и в KDE4 раньше, и в KDE5 ныне у меня всё отрисовывается через OpenGL 3.1 (скрин настроек).

sluggard ★★★★★ ()
Ответ на: комментарий от X10Dead

Что-то не нашел, какой у Leap срок поддержки. Как обычно 18 мес.?

wtsch ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.